{
   //Purpose: extract data from ascii tables and save in ROOT tree
   gROOT->Reset();

   //Struct carrying the corrections and their attriputes for each particle's bin
#if 0
   struct corr_t{

      Double_t phi;
      Double_t phistep;
      Double_t ratio;
      Double_t ratiosig;
      Double_t sigsig;
      Double_t N;
      Double_t Nsig;
      Double_t miss;

      };
#else
   struct corr_t{

      Float_t phi;
      Float_t phistep;
      Float_t ratio;
      Float_t ratiosig;
      Float_t sigsig;
      Float_t N;
      Float_t Nsig;
      Float_t miss;

      };
#endif

   corr_t corr;

   //open the ASCII file
   FILE *fp = fopen("exa1.txt","r");

   char line[512];

   //create a new ROOT file
   TFile *f = new TFile("exa1.root","RECREATE");

   //create a TTree
   TTree *corrections = new TTree("corr","results from PAW calculations");

   //create one branch with all information from the structure
   corrections->Branch("corr", &corr.phi,"phi/F:phistep:ratio:ratiosig:sigsig:N:Nsig:miss");

   //fill the tree with the values from the ASCII file
   double cphi;
   while(fgets(line, sizeof(line), fp) !=NULL){
      cout << line << endl;

//      sscanf(line,"%g %g %g %g %g %g %g",&corr.phi,&corr.phistep,&corr.ratio,&corr.ratiosig,&corr.sigsig,&corr.N,&corr.Nsig,&corr.miss);
      sscanf(line,"%g %g %g %g %g %g %g %g",&corr.phi,&corr.phistep,&corr.ratio,&corr.ratiosig,&corr.sigsig,&corr.N,&corr.Nsig,&corr.miss);

      printf("%g %g %g %g %g %g %g %g\n", corr.phi , corr.phistep , corr.ratio , corr.ratiosig , corr.sigsig , corr.N , corr.Nsig , corr.miss);

      cout << endl << endl;

      corrections->Fill();

      }

   //check that the tree was created properly
   corrections->Print();
   //close the input file
   fclose(fp);
   f->Write();
}
